Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

修改执行挂钩

PUT /accounts/{account_id}/core/v1/executionHooks/{executionHook_id}

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 更新现有执行挂钩将影响使用更新后的执行挂钩的应用程序的任何未来操作。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

executionHook_id

string

path

True

要列出的 executionHook 集合的 ID

请求正文

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 更新现有执行挂钩将影响使用更新后的执行挂钩的应用程序的任何未来操作。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-executionHook"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

  • "1.3"

id

string

False

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

False

包含用户指定的资源名称的 JSON 字符串。定义的值是:

  • 最小长度:1

  • 最大长度:63 名称在所有执行挂钩资源中必须是唯一的。

hookType

string

False

定义挂钩类型的 JSON 字符串。定义的值为:

  • "netapp" - NetApp 提供执行挂钩。

  • "custom" - 与特定应用 ID 相关联。使用 hookType "netapp" 的执行挂钩资源是只读的。

matchingCriteria

数组["matchingCriteria"]

False

描述执行挂钩匹配条件的 JSON 对象的 JSON 数组。当指定多个 matchingCriteria 时,逻辑 AND 应用于条件。定义的值是:

  • 最小项目数:0

  • 最多项目数:10

操作

string

False

JSON 字符串,指示在满足匹配条件的情况下执行挂钩将运行的操作。定义的值为:

  • “快照”

  • “备份”

  • “还原”

  • “故障转移”

阶段

string

False

JSON 字符串,指示操作期间将执行挂钩的阶段。定义的值为:

  • "pre" - 执行挂钩将在指定操作之前运行。

  • "post" - 执行挂钩将在指定操作后运行。操作 "snapshot" 的值为 "pre" 和 "post"。操作 "backup" 的值为 "pre" 和 "post"。操作 "restore" 的值为 "post"。操作 "failover" 的值为 "post"。

hookSourceID

string

False

包含通过此执行挂钩运行的挂钩源 ID 的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

参数

数组[string]

False

用于源参数的 JSON 字符串的 JSON 数组。定义的值为:

  • 最小项目数:0

  • 最多项目数:16

  • 最小长度:0

  • 最大长度:127

appID

string

False

包含此挂钩链接到的应用程序的关联 ID 的 JSON 字符串。实质上,其他匹配条件(如果设置)。定义的值是:

  • 符合 Astra 标识符架构

启用

string

False

指示是否启用了执行挂钩的 JSON 字符串。定义的值为:

  • "true" - 已启用执行挂钩并将按指定方式运行。

  • "false" - 执行挂钩被禁用,永远不会运行。默认值为 "true"。

description

string

False

包含用户指定的钩子源描述的 JSON 字符串。定义的值是:

  • 最小长度:0

  • 最大长度:511

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-executionHook",
  "version": "1.3",
  "arguments": [
    "freeze",
    "10"
  ]
}

响应

Status: 204, Indicates if the executionHook resource was updated.

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/10",
  "title": "JSON resource conflict",
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

matchingCriteria

名称 Type Required Description

type

string

False

标识匹配条件类型的 JSON 字符串。

value

string

False

包含用于匹配给定匹配类型的正则表达式的 JSON 字符串。正则表达式语法: https://github.com/google/re2/wiki/Syntax

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

invalidFields

名称 Type Required Description

name

string

True

无效请求正文字段的名称

原因

string

True

请求正文字段无效的原因